=== modified file 'bzrlib/tests/test_smart_add.py'
--- bzrlib/tests/test_smart_add.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/test_smart_add.py	2010-02-08 09:50:58 +0000
@@ -16,16 +16,15 @@
 
 from cStringIO import StringIO
 
-from bzrlib import osutils
-from bzrlib.add import (
-    AddAction,
-    AddFromBaseAction,
+from bzrlib import (
+    add,
+    inventory,
+    osutils,
+    tests,
     )
-from bzrlib.tests import TestCase, TestCaseWithTransport
-from bzrlib.inventory import Inventory
-
-
-class AddCustomIDAction(AddAction):
+
+
+class AddCustomIDAction(add.AddAction):
 
     def __call__(self, inv, parent_ie, path, kind):
         # The first part just logs if appropriate
@@ -39,7 +38,7 @@
         return file_id
 
 
-class TestAddFrom(TestCaseWithTransport):
+class TestAddFrom(tests.TestCaseWithTransport):
     """Tests for AddFromBaseAction"""
 
     def make_base_tree(self):
@@ -60,9 +59,9 @@
         try:
             new_tree.lock_write()
             try:
-                action = AddFromBaseAction(base_tree, base_path,
-                                           to_file=to_file,
-                                           should_print=should_print)
+                action = add.AddFromBaseAction(base_tree, base_path,
+                                               to_file=to_file,
+                                               should_print=should_print)
                 new_tree.smart_add(file_list, action=action)
             finally:
                 new_tree.unlock()
@@ -144,7 +143,7 @@
         self.failIf(a_id in self.base_tree)
 
 
-class TestAddActions(TestCase):
+class TestAddActions(tests.TestCase):
 
     def test_quiet(self):
         self.run_action("")
@@ -153,11 +152,10 @@
         self.run_action("adding path\n")
 
     def run_action(self, output):
-        from bzrlib.add import AddAction
         from bzrlib.mutabletree import _FastPath
-        inv = Inventory()
+        inv = inventory.Inventory()
         stdout = StringIO()
-        action = AddAction(to_file=stdout, should_print=bool(output))
+        action = add.AddAction(to_file=stdout, should_print=bool(output))
 
         self.apply_redirected(None, stdout, None, action, inv, None,
             _FastPath('path'), 'file')

